@font-face {
    font-family: "Source Code Pro";
    src: url('../assets/fonts/SourceCodePro-Regular.woff2');
}
@font-face {
    font-family: "Ubuntu";
    src: url('../assets/fonts/Ubuntu-Regular.woff2');
}

.modal-max-height {
    max-height: 80vh!important;
}

.ps-sidebar-container,
.offcanvas-end,
body {
    padding: 
        env(safe-area-inset-top)
        env(safe-area-inset-right)
        env(safe-area-inset-bottom)
        env(safe-area-inset-left);
}

.offcanvas-bottom {
    --bs-offcanvas-height: 40vh;
}

body.barcode-scanning-active {
    visibility: hidden;
    background: transparent!important;
    background-color: transparent!important;
}

.barcode-scanning-modal {
    visibility: visible;
    background: transparent!important;
    background-color: transparent!important;
    width: 100%!important;
    height: 100%!important;
}

.barcode-scanning-modal-hidden {
    display: none;
    visibility: hidden;
    background: transparent!important;
    background-color: transparent!important;
}

#barcode-square {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    border-radius: 10px;
    width: 65vw;
    height: 65vw;
    max-width: 250px;
    max-height: 250px;
    border: 4px solid rgba(255, 255, 255, 0.7);
    box-shadow: 0 0 0 4000px rgba(0, 0, 0, 0.4);
}

.barcode-close {
    border-radius: 40px;
    position: absolute;
    right: 10%;
    top: 10%;
}

::-webkit-scrollbar {
    width: 5px;
}
::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb {
    background: #FF1E6F; 
    border-radius: 10px;
}
::-webkit-scrollbar-thumb:hover {
    background: #d21b5e; 
}

.main-container {
    background-color: #202224;
    min-height: 80%;
}

.ps-sidebar-container, .ps-menu-button {
    background-color: #282d33 !important;
}

.ps-menu-button {
    height: 40px !important;
}
.ps-menu-button:hover {
    background-color: #323942 !important;
}

.ps-active {
    background-color: #323942 !important;
}

.btn-outline-primary {
    --bs-btn-border-color: #FF1E6F;
    --bs-btn-color: white;
    --bs-btn-hover-color: white;
    --bs-btn-hover-bg: #FF1E6F;
    --bs-btn-hover-border-color: #FF1E6F;
    --bs-btn-focus-shadow-rgb: 255, 193, 7;
    --bs-btn-active-color: white;
    --bs-btn-active-bg: #FF1E6F;
    --bs-btn-active-border-color: #FF1E6F;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #FF1E6F;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #FF1E6F;
    --bs-gradient: none;
}

.btn-primary {
    --bs-btn-color: white;
    --bs-btn-bg: #FF1E6F;
    --bs-btn-border-color: #FF1E6F;
    --bs-btn-hover-color: white;
    --bs-btn-hover-bg: #d21b5e;
    --bs-btn-hover-border-color: #FF1E6F;
    --bs-btn-focus-shadow-rgb: 217, 164, 6;
    --bs-btn-active-color: white;
    --bs-btn-active-bg: #FF1E6F;
    --bs-btn-active-border-color: #FF1E6F;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #000;
    --bs-btn-disabled-bg: #FF1E6F;
    --bs-btn-disabled-border-color: #FF1E6F;
}

.act-btn { 
   display: inline-block;
   min-width: 25%;
}

.act-btn span { 
    color: #FF1E6F;
    font-size: smaller;
 }

.table-dark {
    --bs-table-bg: #282d33;
    --bs-table-striped-bg: #232b35;
}

.form-check-input {
    cursor: pointer;
}
.form-check-input:checked {
    background-color: #FF1E6F;
    border-color: #FF1E6F;
}

#info span {
    padding: 5px;
}
html, body, #root {
    height:100%;
    width: 100%;
}

form #amount {
    width: 10%;
}

img.header-image {
    margin-top: -30px;
    margin-bottom: -30px;
    width: 90px;
    height: 70px;
    margin-right: 10px;
}

a {
    color: #FF1E6F !important;
}

a.ps-menu-button {
    color: white !important;
}

.nx {
    color: #FF1E6F !important;
}

.text-red {
    color: red;
}

.center {
    text-align: center;
    margin: 0 auto;
}

.right {
    text-align: right;
    margin: 0 auto;
}

.nav-txt {
    color: #FF1E6F!important;
}

footer {
    border-width: 5px!important;
    text-align: center;
    bottom: 0;
    left: 0;
    position: "fixed";
    color: white !important;
    border-width: 5px !important;
}

.bg-custom-card {
    background-color: #282d33;
}

.tr-border td {
    border-bottom: 2px solid #2f373f;
    color: white!important;
}

hr {
    border-top: 1px solid rgba(255, 255, 255, 0.7)  !important;
}

.vl {
    border-left: 1px solid rgba(255, 255, 255, 0.3)  !important;
}

.table-striped tbody tr:nth-of-type(odd) {
    background-color: rgba(0,0,0,.15);
}

#tx .table td, .table th {
    padding: 0.7rem;
    vertical-align: top;
}

.bad {
    color: red;
}

.good {
    color: rgb(47, 255, 95);
}

code, .text-monospace {
    font-family: "Source Code Pro", monospace !important;
}

.text-dev {
    font-family: "Ubuntu", sans-serif !important;
}

.url a {
    text-decoration: none!important;
    word-break: break-all;
}

.url a:hover {
    text-decoration: underline!important;
}

.form-control:focus {
    border-color: #FF1E6F;
    box-shadow: 0 0 0 0.05rem rgba(255, 30, 111, 0.897);
}

.cursor {
    cursor: pointer;
}

.td-fit {
    width: 30%;
    white-space: nowrap
}

.td-min {
    width: 1%;
    white-space: nowrap
}

.hidden {
    visibility: hidden;
}

.va {
    vertical-align: middle;
}

.confirmed {
    color: rgb(19, 195, 19) !important;
}

.outgoing {
    color: red !important;
}

.incoming {
    color: #FF1E6F !important;
}

.page-item .page-link {
    background: rgba(var(--bs-dark-rgb), var(--bs-bg-opacity)) !important;
    border-color: #282d33;
}

.page-item .page-link:hover {
    background: black !important;
    border-color: #282d33;
}

.active .page-link {
    background: #FF1E6F !important;
    border-color: #282d33;
    color: white!important 
}

.active .page-link:hover {
    background: #FF1E6F !important;
    border-color: #282d33;
    color: white !important 
}

.page-link:focus {
    box-shadow: none !important;
}

.menu-btn {
    padding: 3px;
    border-radius: 3px;
    border: 1px solid #FF1E6F;
    color: #FF1E6F;
    margin-right: 20px;
}

.tx-row {
    cursor: pointer;
}

.tx-row:active > td {
    background-color: var(--bs-table-striped-bg);
}

.tx-row:hover > td {
    background-color: var(--bs-table-striped-bg);
}

.smaller {
    font-size: smaller;
}

.bold {
    font-weight: 700;
}

.light-bold {
    font-weight: 500;
}

.light-txt {
    font-weight: 350;
    color: rgb(193, 193, 193);
}

.larger {
    font-size: larger;
}

.xlarge {
    font-size: x-large;
}

.float-left {
    float: left;
}

.float-right {
    float: right;
}

.token-card,
.nft-card {
    cursor: pointer;
}

.token-card:hover,
.nft-card:hover {
    border: 1px solid rgba(100, 100, 100, 0.7)  !important;
}

.flex-center {
    display: flex;
    align-items: center;
    justify-content: center;
}

#dropdown-option::after {
    display: none !important; 
}

.dropdown-menu {
    background-color: #343a40;
}
   
.dropdown-item:hover, .dropdown-item:focus {
    background-color: #23272b;
}
   
.dropdown-item.active {
    background-color: #1d2124;
}

.settings > .nav-underline {
    border-bottom: 1px solid rgba(255, 255, 255, 0.2);
}

.settings .nav-item > .nav-link {
    margin-left: 10px;
    color: gray;
    border-bottom-color: transparent;
}

.settings .nav-item > .nav-link:hover {
    color: white;
    border-bottom-color: transparent;
}

.settings .nav-item > .nav-link.active {
    color: white;
    border-bottom-color: #FF1E6F;
    font-weight: normal;
}

.text-bg-dark {
    --bs-modal-header-border-color: rgb(110, 110, 110);
    --bs-modal-footer-border-color: rgb(110, 110, 110);
}

.loader {
    width: fit-content;
    margin:auto;
}

div[role="dialog"][aria-modal="true"]:nth-last-child(1) {
    z-index: 1125;
}
.modal-backdrop.show:nth-last-child(2){
    z-index: 1100;
}
div[role="dialog"][aria-modal="true"]:nth-last-child(3) {
    z-index: 1075;
}
.modal-backdrop.show:nth-last-child(4){
    z-index: 1050;
}
div[role="dialog"][aria-modal="true"]:nth-last-child(5) {
    z-index: 1025;
}
.modal-backdrop.show:nth-last-child(6){
    z-index: 1000;
}